BLK_PEEK_REQUEST(9)

NAME
blk_peek_request - peek at the top of a request queue

SYNOPSIS

struct request * blk_peek_request(struct request_queue * q);

ARGUMENTS

q
    request queue to peek at

DESCRIPTION

Return the request at the top of q. The returned request should be started using blk_start_request before LLD starts processing it.

RETURN

Pointer to the request at the top of q if available. Null otherwise.

CONTEXT

queue_lock must be held.

COPYRIGHT